Summary: Generates masks between two files and can use the mask to restore files
Name: rhmask
Version: 1.0
Release: 3
Copyright: GPL
Group: Utilities/System
Source: ftp.redhat.com:/pub/redhat/code/rhmask/rhmask-1.0.tar.gz
Summary(de): Generiert Masken zwischen zwei Dateien und kann anhand dieser Masken  Dateien wiederherstellen 
Summary(fr): Gnre les masques entre deux fichiers et peut utiliser le masque pour restaurer les fichiers
Summary(tr): ki dosya arasnda maske oluturur ve maskeden dosyaya geri dnebilir

%description
rhmaskR is intended to allow the distribution of files as masks against
other files. This lets new versions of software be freely distributed on
public internet servers but limits their usefulness to those who already
have a copy of the package. It uses a simple XOR scheme for creating
the file mask and uses file size and md5 sums to ensure the integrity
of the result.

%description -l de
rhmaskR ist dafr vorgesehen, die Verteilung von Dateien als Masken 
gegen andere Dateien zu ermglichen. Auf diese Weise knnen neue 
Softwareversionen uneingeschrnkt auf ffentlichen Internet-Servern 
verteilt werden, da sie nur von Leuten genutzt werden knnen, die das
Softwarepaket bereits installiert haben. Anhand eines einfachen XOR-
Schemas wird eine Dateimaske erstellt; Dateigre und md5-Summen werden 
zur Sicherstellung der Integritt des Ergebnisses herangezogen. 

%description -l fr
rhmaskR sert  la distribution de fichiers sous formes de masques sur les
autres fichiers. Cela permet aux nouvelles versions des logiciels d'tre
distribues librement sur les serveurs publics de l'Internet, mais limite
leur utilit  ceux qui ont dj une copie du paquetage. Il utilise un simple
OU Exclusif pour crer le masque et utilise la taille du fichier et les sommes
md5 pour assurer l'intgrit du rsultat. 

%description -l tr
rhmask, yazlmlarn Internet zerinden serbeste datlabilmesiyle birlikte
yalnzca yazlmn bir kopyasn bulunduranlar tarafndan altrlabilmesini
amalar.

%changelog
* Tue May 05 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

%prep
%setup -n rhmask

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
make install

%files
/usr/man/man1/rhmask.1
/usr/bin/rhmask
